﻿@model WorkspaceViewModel
@{
    ViewBag.ActiveTab = "Settings";
}
<section>
    <div class="container-fluid">
        <ul class="nav nav-pills p-3 mb-3 rounded align-items-center card flex-row" role="tablits">
            <li class="nav-item">
                <a class="nav-link d-flex align-items-center px-3 active" data-bs-toggle="tab" role="tab" href="#general-tab">
                    <i class="fa fa-circle-info fill-white me-0 me-md-1"></i>
                    <span class="d-none d-md-block font-weight-medium">General Info</span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link d-flex align-items-center px-3" data-bs-toggle="tab" role="tab" href="#member-tab">
                    <i class="fa fa-user fill-white me-0 me-md-1"></i>
                    <span class="d-none d-md-block font-weight-medium">Members</span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link d-flex align-items-center px-3" data-bs-toggle="tab" role="tab" href="#access-tab">
                    <i class="fa fa-lock fill-white me-0 me-md-1"></i>
                    <span class="d-none d-md-block font-weight-medium">Roles and Access</span>
                </a>
            </li>
        </ul>
        <div class="card w-100 position-relative overflow-hidden">
            <div class="card-body">
                <div class="tab-content">
                    <div class="tab-pane fade show active" id="general-tab" role="tabpanel" aria-labelledby="pills-account-tab" tabindex="0">
                        @await Html.PartialAsync("_GeneralInfoTab", Model.Workspace)
                    </div>
                    <div class="tab-pane fade" id="member-tab" role="tabpanel" aria-labelledby="pills-bills-tab" tabindex="0">
                        @await Html.PartialAsync("_MembersTab", Model.Workspace)
                    </div>
                    <div class="tab-pane fade" id="access-tab" role="tabpanel" aria-labelledby="pills-bills-tab" tabindex="0">
                        @await Html.PartialAsync("_PermissionTab", Model.Workspace)
                    </div>
                </div>
            </div>
        </div>
    </div>


</section>